summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2018-09-03 14:53:37 +0200
committerLars Wendler <polynomial-c@gentoo.org>2018-09-03 14:54:42 +0200
commit576fb212a9d3797df07a7492f3f89a60e83d490e (patch)
treea41edaaea3fe64c17ac4382e060ca23d9f292b2a /x11-misc
parentdev-lang/mercury-extras: filter out csharp grades (diff)
downloadgentoo-576fb212a9d3797df07a7492f3f89a60e83d490e.tar.gz
gentoo-576fb212a9d3797df07a7492f3f89a60e83d490e.tar.bz2
gentoo-576fb212a9d3797df07a7492f3f89a60e83d490e.zip
x11-misc/lightdm: Bump to version 1.28.0
Package-Manager: Portage-2.3.48, Repoman-2.3.10
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/lightdm/Manifest1
-rw-r--r--x11-misc/lightdm/lightdm-1.28.0.ebuild143
2 files changed, 144 insertions, 0 deletions
diff --git a/x11-misc/lightdm/Manifest b/x11-misc/lightdm/Manifest
index a1f23fa0d0b..25267789efa 100644
--- a/x11-misc/lightdm/Manifest
+++ b/x11-misc/lightdm/Manifest
@@ -2,3 +2,4 @@ DIST introspection-20110205.m4.tar.bz2 1220 BLAKE2B 01483c1a7b73568e01cc4d84b43c
DIST lightdm-1.18.3.tar.xz 503968 BLAKE2B ec1fa0a62880708d223da972b3d9c2f2961e3e8f8baf6da9012de98818b27e0bc0e37cb6f460a25821779d83e9da1cd632484ad75ba95cb26cb9d23254600024 SHA512 dde34e4969d2f04e6729eb1b30d38bac9a89ff42c46f8a21e94b76beadbde450ffaa377201bd3a56e0d8d95d0640eb312ed11ecf94efb9a5a66777b944d4f234
DIST lightdm-1.24.0.tar.xz 517552 BLAKE2B b4ab92b313bbb3a7bcc48a1d02b7bfb978bbc5041dbb81ceaa59c4296b2e4b069f90d9f09a4289376cb34e11331c39740f4e5370273d1315c75a9a35bd01cbb0 SHA512 30bad8887928f22bf2cc7ce8d7a323637dec669d47d69fb326cfcf1bb5ee9e52c1232cf680af94a25cf90a9de13d9b5ff73307c1dc8829422600d350401555b8
DIST lightdm-1.26.0.tar.xz 516092 BLAKE2B 0bbbe11959a2ea0c21e723d10e8831fc0d9e15475a415869634cfb41c6d576b77fd87720be33dae8456063947dd1b551e88c263ed76ef9b120c43df8c42513f3 SHA512 67c0671753587493ed064b66f94be58853028287c914d1101e66499bebf1408e14d33245887ce89d1c4931960225ea3984e5e625b22dc4e3020be34a3087d8e7
+DIST lightdm-1.28.0.tar.xz 517460 BLAKE2B 98a0b60623dcac07bbb6bff95fa20da9425b714fe5da0d7d86c788362e40604bea2b46675c57e70c70356f71a542adbd6431723e40b815db8565d67ddecc20a1 SHA512 e1e8a952e723bbcc106043d33a64278b228a5a47a7e54235375817b08483594cc5e46ec52f5cbb9d258266e44b045785bca1d4c62daf83071c0f668b3c480071
diff --git a/x11-misc/lightdm/lightdm-1.28.0.ebuild b/x11-misc/lightdm/lightdm-1.28.0.ebuild
new file mode 100644
index 00000000000..772bf25fca7
--- /dev/null
+++ b/x11-misc/lightdm/lightdm-1.28.0.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic pam qmake-utils readme.gentoo-r1 systemd vala xdg-utils
+
+DESCRIPTION="A lightweight display manager"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/LightDM"
+SRC_URI="https://github.com/CanonicalLtd/lightdm/releases/download/${PV}/${P}.tar.xz
+ mirror://gentoo/introspection-20110205.m4.tar.bz2"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="audit +gnome +gtk +introspection qt5 vala"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.44.0:2
+ dev-libs/libxml2
+ virtual/pam
+ x11-libs/libX11
+ >=x11-libs/libxklavier-5
+ audit? ( sys-process/audit )
+ gnome? ( sys-apps/accountsservice )
+ introspection? ( >=dev-libs/gobject-introspection-1 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ )
+"
+RDEPEND="${COMMON_DEPEND}
+ >=sys-auth/pambase-20101024-r2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/gtk-doc-am
+ dev-util/intltool
+ sys-devel/gettext
+ virtual/pkgconfig
+ gnome? ( gnome-base/gnome-common )
+ vala? ( $(vala_depend) )
+"
+PDEPEND="gtk? ( x11-misc/lightdm-gtk-greeter )"
+
+DOCS=( NEWS )
+RESTRICT="test"
+
+src_prepare() {
+ xdg_environment_reset
+
+ sed -i -e 's:getgroups:lightdm_&:' tests/src/libsystem.c || die #412369
+ sed -i -e '/minimum-uid/s:500:1000:' data/users.conf || die
+
+ einfo "Fixing the session-wrapper variable in lightdm.conf"
+ sed -i -e \
+ "/^#session-wrapper/s@^.*@session-wrapper=/etc/${PN}/Xsession@" \
+ data/lightdm.conf || die "Failed to fix lightdm.conf"
+
+ # use correct version of qmake. bug #566950
+ sed \
+ -e "/AC_CHECK_TOOLS(MOC5/a AC_SUBST(MOC5,$(qt5_get_bindir)/moc)" \
+ -i configure.ac || die
+
+ default
+
+ # Remove bogus Makefile statement. This needs to go upstream
+ sed -i /"@YELP_HELP_RULES@"/d help/Makefile.am || die
+ if has_version dev-libs/gobject-introspection; then
+ eautoreconf
+ else
+ AT_M4DIR=${WORKDIR} eautoreconf
+ fi
+
+ use vala && vala_src_prepare
+}
+
+src_configure() {
+ # Set default values if global vars unset
+ local _greeter _session _user
+ _greeter=${LIGHTDM_GREETER:=lightdm-gtk-greeter}
+ _session=${LIGHTDM_SESSION:=gnome}
+ _user=${LIGHTDM_USER:=root}
+ # Let user know how lightdm is configured
+ einfo "Gentoo configuration"
+ einfo "Default greeter: ${_greeter}"
+ einfo "Default session: ${_session}"
+ einfo "Greeter user: ${_user}"
+
+ use qt5 && append-cxxflags -std=c++11
+
+ # also disable tests because libsystem.c does not build. Tests are
+ # restricted so it does not matter anyway.
+ local myeconfargs=(
+ --localstatedir=/var
+ --disable-static
+ --disable-tests
+ $(use_enable audit libaudit)
+ $(use_enable introspection)
+ --disable-liblightdm-qt
+ $(use_enable qt5 liblightdm-qt5)
+ $(use_enable vala)
+ --with-user-session=${_session}
+ --with-greeter-session=${_greeter}
+ --with-greeter-user=${_user}
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ # Delete apparmor profiles because they only work with Ubuntu's
+ # apparmor package. Bug #494426
+ if [[ -d ${ED%/}/etc/apparmor.d ]]; then
+ rm -r "${ED%/}/etc/apparmor.d" || die \
+ "Failed to remove apparmor profiles"
+ fi
+
+ insinto /etc/${PN}
+ doins data/{${PN},keys}.conf
+ doins "${FILESDIR}"/Xsession
+ fperms +x /etc/${PN}/Xsession
+ # /var/lib/lightdm-data could be useful. Bug #522228
+ dodir /var/lib/lightdm-data
+
+ find "${ED}" \( -name '*.a' -o -name "*.la" \) -delete || die
+ rm -rf "${ED%/}"/etc/init
+
+ # Remove existing pam file. We will build a new one. Bug #524792
+ rm -rf "${ED%/}"/etc/pam.d/${PN}{,-greeter}
+ pamd_mimic system-local-login ${PN} auth account password session #372229
+ pamd_mimic system-local-login ${PN}-greeter auth account password session #372229
+ dopamd "${FILESDIR}"/${PN}-autologin #390863, #423163
+
+ readme.gentoo_create_doc
+
+ systemd_dounit "${FILESDIR}/${PN}.service"
+ keepdir /var/lib/${PN}-data
+}
+
+pkg_postinst() {
+ systemd_reenable "${PN}.service"
+}